kernels, binutils, and stable releases

Robert Connolly robert at linuxfromscratch.org
Fri Apr 15 14:32:48 PDT 2005


On April 15, 2005 05:17 pm, Robert Connolly wrote:
> On April 15, 2005 11:36 am, Robert Connolly wrote:
> > I think that's it. I don't expect uClibc will have any problems with
> > kernel-2.4.
>
> And the old version of modutils. The new module-init-tools won't handle 2.4
> modules.

This is in the FAQ:
http://www.linuxfromscratch.org/lfs/faq.html#yytext_ptr-undeclared

modutils has issues with the new version of flex. Instead of downgrading flex, 
there's a patch:

--- flex-2.5.31.orig/flex.skl   2003-03-31 20:51:38.000000000 -0500
+++ flex-2.5.31/flex.skl        2005-04-15 17:31:34.000000000 -0400
@@ -3280,7 +3280,6 @@
 #undef yy_set_bol
 #undef yy_new_buffer
 #undef yy_set_interactive
-#undef yytext_ptr
 #undef YY_DO_BEFORE_ACTION

 #ifdef YY_DECL_IS_OURS

robert



More information about the hlfs-dev mailing list